members.dev
Benefit usage

Create benefit usage

POST
/v1/benefit-usages

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.members.dev/v1/benefit-usages" \  -H "Content-Type: application/json" \  -d '{    "benefit_usage_kind": "meter",    "value": 0  }'
{
  "id": "string",
  "timestamp": 0,
  "benefit_id": "string",
  "benefit_grant_id": "string",
  "payload": {
    "value": 0
  },
  "external_id": "string",
  "user_id": "string",
  "external_user_id": "string",
  "amount_allocated": 0,
  "allocation_status": "unallocated",
  "created_at": null,
  "updated_at": null
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}